function angulo = bikeangulo(data)

tmf = data(:,1:2); % definindo o ponto do trocanter maior do fmur
elf = data(:,3:4); % definindo o ponto do epicndilo lateral do fmur
mal = data(:,5:6); % definindo o ponto do maleolo lateral

vcoxa = tmf - elf; % definindo o segmento coxa
vperna = mal - elf; % definindo o segmento perna

vcoxan = vcoxa ./ sqrt(vcoxa(:,1).^2 + vcoxa(:,2).^2); % normalizando o segmento coxa
vpernan = vperna ./ sqrt(vperna(:,1).^2 + vperna(:,2).^2); % normalizando o segmento perna

produto_int_coxa_perna = dot(vcoxan, vpernan, 2); % calculando o produto interno (dot.m) dos vetores coxa perna normalizados 
%produto_int_coxa_perna = vcoxan(:,1) .* vpernan(:,1) +  vcoxan(:,2) .* vpernan(:,2); %  similar s fazendo no brao

arcosseno_prodint = acos(produto_int_coxa_perna); % calculando o arcosseno

angulo = arcosseno_prodint * 180/pi; % passando de radianos para graus

vtempo = (([1:size(data,1)] * (1/120)) - (1/120))'; % criando um vetor de tempo 

% Fazendo o grfico do tempo por ngulo
figure
plot(vtempo, angulo)
title('NGULO DO JOELHO]')
xlabel('Tempo [segundos]')
ylabel('ngulo []')
grid on


end
